General system requirements

This page regroups the system requirements for the Substance 3D offer.

Hardware requirements

PlatformMinimumRecommendedOptimal
Windows
  • OS: Windows 10 (64bit, version 1909)
  • CPU:
    • Intel Core i3
    • AMD Ryzen 3
  • GPU:
    • Nvidia Geforce GTX 1060
    • Nvidia Quadro P2200
    • AMD Radeon RX 580
  • VRAM: 4GB
  • RAM: 8GB
  • Hard drive: 20 GB HDD
  • OS: Windows 10 (64bit)
  • CPU:
    • Intel Core i7
    • AMD Ryzen 7
  • GPU:
    • Nvidia Geforce GTX 2080
    • Nvidia Quadro RTX 4000
    • AMD Radeon RX 5700 XT
  • VRAM: 8GB
  • RAM: 16GB
  • Hard drive: 30 GB SSD
  • OS: Windows 10 (64bit)
  • CPU:
    • Intel Core i9
    • AMD Ryzen 9
  • GPU:
    • Nvidia Geforce RTX 3080
    • Nvidia Quadro RTX 6000
  • VRAM: 16GB
  • RAM: 32GB
  • Hard drive: 50 GB SSD
Mac OS
  • Model: MacBook Pro 2019
  • OS: Mac OS 10.14 (Mojave)
  • CPU:
    • Intel Core i7
  • GPU:
    • MD Radeon Pro 5300M
  • RAM: 8GB
  • Hard drive: 10 GB HDD
  • Model:
    • MacBook Pro 2020
    • iMac Pro 2020
  • OS: Mac OS 11 (Big Sur)
  • CPU:
    • Intel Core i9
  • GPU:
    • AMD Radeon Pro 5600M
    • AMD Radeon Pro Vega 56
  • RAM: 16GB
  • Hard drive: 25 GB SSD
  • Model: Mac Pro
  • OS: Mac OS 11 (Big Sur)
  • CPU:
    • Intel Xeon W9
  • GPU:
    • AMD Radeon Pro W5700X
  • RAM: 32GB
  • Hard drive: 50 GB SSD
Linux
  • OS:
    • CentOS 7.0
    • Ubuntu 18.04 (Steam only)
  • OS:
    • CentOS 7.6
    • Ubuntu 20.04 (Steam only)
  • OS:
    • CentOS 7.6
    • Ubuntu 20.04 (Steam only)
VR
  • Oculus headset:
    • Rift
    • Rift S
    • Quest
    • Quest 2 (with link)
  • Oculus headset:
    • Rift
    • Rift S
    • Quest
    • Quest 2 (with link)
  • Oculus headset:
    • Rift
    • Rift S
    • Quest
    • Quest 2 (with link)

For more details, take a look at the requirements of each application:

Additional notes

  • Only standard Apple configurations are officially supported. Configurations with eGPUs and user installed GPUs are not supported.
  • Apple M1 devices are not officially supported.
  • Older versions of CentOS may have trouble launching the applications because of a library compatibility issues. Update the system or manually update the following library.
  • There is currently a known issue with AMD Radeon RX 6000 Series GPUs that stops Stager working correctly. We are working with AMD to resolve this issue as soon as possible.